//+------------------------------------------------------------------+
//|                                          20_200_pips_MQL5_v1.mq5 |
//|                                    Copyright 2010, Pavel Smirnov |
//|                                          http://www.autoforex.ru |
//+------------------------------------------------------------------+
#property copyright "Copyright 2010, Pavel Smirnov"
#property link      "http://www.autoforex.ru"
#property version   "1.01"
#property description "done some optimizations by mql5.com/ru/users/thejobber"
#include <Trade\Trade.mqh>
#include <Trade\SymbolInfo.mqh>
//--- input parameters
input ushort      TakeProfit=20;
input ushort      StopLoss=200;
input ushort      TradeTime=18;
input ushort      t1=7;
input ushort      t2=2;
input ushort      delta=7;
input double      lot=0.1;

CTrade makeTrade;
CSymbolInfo sInfo;

ushort multiplier=1;

int OnInit()  {
   makeTrade.SetExpertMagicNumber(1234);
   makeTrade.SetDeviationInPoints(10);
   sInfo.Name(_Symbol);
   sInfo.Refresh();
   if(sInfo.Digits()==5)
        multiplier =10;               
   return(0);
}
  
void OnTick()  {            
   MqlDateTime mqldt;
   TimeCurrent(mqldt);            
   if(mqldt.hour!=TradeTime)
        return;
        
   double Open[];
   MqlTick last_tick;
   SymbolInfoTick(_Symbol,last_tick);
   double Ask=last_tick.ask;
   double Bid=last_tick.bid;
   ArraySetAsSeries(Open,true);   
   ushort len=(t1>=t2?t1:t2)+1;        
   CopyOpen(_Symbol,PERIOD_H1,0,len,Open);                
   if(!PositionSelect(_Symbol)){                             
        if(Open[t1]>(Open[t2]+delta*_Point*multiplier)&&
           makeTrade.Sell(lot,NULL,0,Bid+StopLoss*_Point*multiplier,Bid-TakeProfit*_Point*multiplier,"EUR/USD 20 pips expert (Short)"))            
           return;            
                             
        if((Open[t1]+delta*_Point*multiplier)<Open[t2]&&
            makeTrade.Buy(lot,NULL,0,Ask-StopLoss*_Point*multiplier,Ask+TakeProfit*_Point*multiplier,"EUR/USD 20 pips expert (Long)"))                        
            return;                            
   }   
}